\documentclass{article}

\usepackage[letterpaper]{geometry}

\title{Project Proposal \& Plan}
\author{Team 4 --- Titrator}
\date{February 2, 2009}

\begin{document}
\maketitle

\section{Introduction}
The NMT chemistry department is looking for a port and a new interface to
their titrator program that is used in CHEM 122/152, 311, 422, and 531.  The
program right now only runs on a few computers in the lab, and has a
terrible GUI with an unintuitive way to enter information.  The program is
currently written in Pascal, and it needs to be ported into Java.  This
would solve the single platform problem and also make it easier to write a
better UI.

Dr. Altig would be willing to work with us to make sure the core chemistry
equations and logic are correct, and since we're porting the program to
java, we could write a new GUI in swing to solve the interface problem.  The
project would also include adding a new feature:  generating titration
curves for the equilibrium systems.


\subsection{Project Overview and Statement of Proposal}
The core of the project involves porting the Titrator program for the
Chemistry department from Pascal to Java.  The other main goal is to write a
new GUI in Java Swing to make the program more usuable and reduce the
learning curve considerably.  Finally, we wish to add some new features.

\emph{Statement of Proposal}: We propose to port the Titrator package to
Java and create a new GUI.

\subsection{Project Scope and Objectives}
The scope is around 3000 lines for the core of the program and an additional
3000 for the GUI.

The first objective is to port the code into Java.  The second is to create
a decent user interface to the program.  The third is to add a feature which
involves generating titration curves for various equilibrium systems.


\section{Risk Management Strategy}

\subsection{Risk Table}

\subsection{Discussion of Risks to Be Managed}

\subsection{Risk Mitigation, Monitoring, and Management Plan}

\subsubsection{Risk Mitigation}

\subsubsection{Risk Monitoring}

\subsubsection{Risk Management (Contingency Plans)}



\section{Schedule}

\subsection{Task List}

\subsection{Timeline Chart}

\subsection{Resource Table}



\section{Project Resources}

\subsection{People}
\begin{enumerate}
\item Dr. Jeff Altig (Chemistry help and advice)
\item Dr. Stephen Cabaniss (source code)
\end{enumerate}


\subsection{Hardware and Software Resources}
We will need access to a machine with the Java VM installed and access to
the original source of the program.


\end{document}
